Bug 388861 - dangling symlink
dangling symlink
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sdljava (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 16:16 EST by Florian La Roche
Modified: 2007-12-10 07:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 07:07:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-11-17 16:16:26 EST
Description of problem:

sdljava-demo has dangling symlink from /usr/share/sdljava/testdata/arialbd.ttf
to /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf
sdljava-demo has dangling symlink from /usr/share/sdljava/testdata/arialbi.ttf
to /usr/share/fonts/dejavu/DejaVuSans-BoldOblique.ttf
sdljava-demo has dangling symlink from /usr/share/sdljava/testdata/ariali.ttf to
/usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf


regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hans de Goede 2007-11-18 04:23:48 EST
No it doesn't it requires /usr/share/fonts/dejavu/DejaVuSans.ttf, the others are
part of the same package, the requires is done with a file requires on one of
the 4 files in case they ever move around (fonts have been shuffled quite a few
time in Fedora's lifetime).

Comment 2 Florian La Roche 2007-11-18 04:44:44 EST
Hello Hans,

Seems the font names have changed. The current Fedora-devel rpm e.g.
has the following names:
-rw-r--r--    1 root    root           540012 Oct 28 16:22
/usr/share/fonts/dejavu/DejaVuSansBold.ttf
-rw-r--r--    1 root    root           493596 Oct 28 16:22
/usr/share/fonts/dejavu/DejaVuSansBoldOblique.ttf
-rw-r--r--    1 root    root           496296 Oct 28 16:22
/usr/share/fonts/dejavu/DejaVuSansOblique.ttf

Seems the symlinks in your package have additional "-" in them
or differ otherwise.

regards,

Florian La Roche


Comment 3 Hans de Goede 2007-11-18 08:48:48 EST
Ah, what fun, I verified this on F-8 before closing, but appearantly someone
thought it was a good idea to rename some files. See thats why I have the file
requires and not a requires on the package name, but I only expected all 4 of
them to be moved around not some to get renamed. Guess its time to at explicit
file requires for all 4 so next time I get a broken dep report from the push
scripts.

Thanks for the due villigiance! I'll fix this within the next couple of days.


Comment 4 Hans de Goede 2007-11-20 16:33:59 EST
Fixed in 0.9.1-6 which should be in the next rawhide push.
Comment 5 Florian La Roche 2007-12-09 17:52:22 EST
Seems dejavu-fonts have changed back to the old names, sorry for shouting
too early to adjust this rpm:


Current dejavu rpm:
-rw-r--r--    1 root    root           546248 Dec  4 05:55
/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf
-rw-r--r--    1 root    root           496836 Nov 11 05:55
/usr/share/fonts/dejavu/DejaVuSans-BoldOblique.ttf
-rw-r--r--    1 root    root           499536 Nov 24 05:55
/usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf
-rw-r--r--    1 root    root           588152 Dec  4 05:55
/usr/share/fonts/dejavu/DejaVuSans.ttf

Warnings about dangling symlinks:
sdljava-demo has dangling symlink from /usr/share/sdljava/testdata/arialbd.ttf
to /usr/share/fonts/dejavu/DejaVuSansBold.ttf
sdljava-demo has dangling symlink from /usr/share/sdljava/testdata/arialbi.ttf
to /usr/share/fonts/dejavu/DejaVuSansBoldOblique.ttf
sdljava-demo has dangling symlink from /usr/share/sdljava/testdata/ariali.ttf to
/usr/share/fonts/dejavu/DejaVuSansOblique.ttf


regards,

Florian La Roche

Comment 6 Hans de Goede 2007-12-09 18:25:42 EST
Yeah, I already noticed as I added explicit requires on the new names. However a
new swig has broken my build fixing this. koji is now building a second try,
which works arounds the new swig "features"
Comment 7 Hans de Goede 2007-12-10 07:07:16 EST
And I've finally managed to fix things so that it builds again, closing (again).

Note You need to log in before you can comment on or make changes to this bug.